| Home | Libraries | People | FAQ | More

## Function replace_all_copy

boost::algorithm::replace_all_copy — Replace all algorithm.

## Synopsis

    // In header: <boost/algorithm/string/replace.hpp>

    template<typename OutputIteratorT, typename Range1T, typename Range2T,
             typename Range3T>
      OutputIteratorT
      replace_all_copy(OutputIteratorT Output, const Range1T & Input,
                       const Range2T & Search, const Range3T & Format);
    template<typename SequenceT, typename Range1T, typename Range2T>
      SequenceT replace_all_copy(const SequenceT & Input, const Range1T & Search,
                                 const Range2T & Format);

## Description

Replace all occurrences of the search string in the input with the format string. The result is a modified copy of the input. It is returned as a sequence or copied to the output iterator.

Parameters:

`Format` | A substitute string
`Input` | An input string
`Output` | An output iterator to which the result will be copied
`Search` | A substring to be searched for

Returns: | An output iterator pointing just after the last inserted character or a modified copy of the input
Notes: | The second variant of this function provides the strong exception-safety guarantee